import { BookOfMagicInk, HtmlUtil } from "./module/book.js";


Hooks.once('ready', async function() {
    HtmlUtil.book = await new BookOfMagicInk();
    HtmlUtil.book.render(true);
});

Hooks.on('renderJournalTextPageSheet', (app, html, data) => {
    let title = game.i18n.localize("MI.name");
    HtmlUtil.appendHeaderButton(html, title, ev => {
        if (game.user.isGM){
            HtmlUtil.book.render(true);
        }
    });
});